function[x_new,x_hist,iter]=damped_newton(f,Df,x0,tol,maxit,alpha)
% Gedaempftes Newton-Verfahren zur Loesung von f(x)=0
% f(x)   Funktion f
% Df(x)  Jacobi-Matrix von f
% x0     Startwert
% tol    Toleranz
% maxit  maximale Anzahl Iterationen
% alpha  Daempfungsfaktor
%
% x_new  Loesung
% x_hist Loesungen in jeder Iteration
% iter   Anzahl Iterationen
x_old=x0;
x_hist=x0;
for iter=1:maxit
    Delta=-Df(x_old)\f(x_old);
    x_new = x_old + alpha*Delta;
    x_hist = [x_hist,x_new];
    if norm(x_new-x_old)<tol*norm(x_new)+tol
        return
    end
    x_old = x_new;
end

